//
//  PresenterBuilder.swift
//  sdk-demo-ios
//
//  Created by Smaato Inc on 03/03/2019.
//  Copyright © 2019 Smaato Inc. All rights reserved.
//

import Foundation

protocol AdPresenting {
    var models: [AdModel] { get set }
}

class PresenterBuilder {

    class func buildPresenterFor(adType: AdType) -> AdPresenting {
        switch adType {
        case .Banner:
            return BannersPresenter()
        case .Interstitial:
            return InterstitialsPresenter()
        case .Rewarded:
            return RewardedAdsPresenter()
        }
    }
}
